%define		debug %nil
%define		debug_package %nil
%define		tfprovider huaweicloud
%ifarch 	x86_64 amd64
%global		goarch amd64
%else
%global		goarch 386
%endif

Name:		terraform-provider-%{tfprovider}
Version:	1.69.0
Release:	1
Summary:	Terraform provider for HuaweiCloud
URL:		https://github.com/huaweicloud/%{name}
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz
License:	MPL-2.0
Group:		Development/Other
BuildRequires:	go >= 1.16
BuildRequires:	git-core
BuildRequires:	upx

%description
%{summary}

%prep
%setup -q

%build
go build

upx %{name}

%install
install -Dm0755 %{name} %{buildroot}/%{_datadir}/terraform/plugins/tf.%{tfprovider}.online/mylocal/%{tfprovider}/%{version}/linux_%{goarch}/%{name}

%files
%doc README.md LICENSE
%{_datadir}/terraform/plugins/tf.%{tfprovider}.online/mylocal/%{tfprovider}/%{version}/linux_%{goarch}/%{name}





